minfbyproc.d(1m)

NAME
minfbyproc.d - minor faults by process name. Uses DTrace.

SYNOPSIS
minfbyproc.d

DESCRIPTION
minfbyproc.d is a DTrace OneLiner to a report the number of minor faults by process name. Docs/oneliners.txt and Docs/Examples/oneliners_examples.txt in the DTraceToolkit contain this as a oneliner that can be cut-n-paste to run. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

This samples until Ctrl-C is hit.
    # minfbyproc.d

FIELDS

first field
    The process name. There may be several PIDs that have the same process name, for example with numerous instances of "bash". The value reported will be the sum of them all.

second field
    The number minor faults

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
minfbyproc.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M), truss(1)